### Class method

# Gom ResourceClass set_primary_key

#### Declaration [src]

    void
    gom_resource_class_set_primary_key (
      GomResourceClass* resource_class,
      const gchar* primary_key
    )

#### Description

No description available.

#### Parameters

`primary_key`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.